# Copyright (c) 2023 Qualcomm Innovation Center, Inc. All rights reserved.
# SPDX-License-Identifier: BSD-3-Clause-Clear
# This service file is designed to enable early ethernet mode.
# Customer needs to enable this service file based on the requirement.
# Flexibility is provided for the customers to modify IP and mac addresses.
[Unit]
Description=eth0 installer
DefaultDependencies=no

[Service]
Type=oneshot
RemainAfterExit=yes
#ExecStart=ifconfig eth0 hw ether 32:ff:2f:16:85:50
ExecStart=ifconfig eth0 up
ExecStop=ifconfig eth0 down
Nice=-20
Restart=on-failure
RestartSec=1ms

[Install]
WantedBy=sys-devices-platform-soc\x400-23040000.ethernet-net-eth0.device
